EndpointsService Import Jobs

Service Import Jobs

Function-calling namespace: serviceImportJobs

  • Base URL: https://api.aivida.in
  • Engine endpoint: POST /api
  • Auth: Stack token middleware enabled in optional mode.
  • Send token in header: x-stack-access-token: <access_token> (or Authorization: Bearer <access_token>).
  • In optional mode: no token is allowed; invalid token is rejected with 401.

create

Source: backend/endpoints/service-import-jobs/create

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
createdByStackUserIdstringYes-
importScopestringNo-
statusstringYes-
fileNamestringYes-
idempotencyKeystringYes-
workflowIdstringNo-
totalRowsintegerNo-
processedRowsintegerNo-
successCountintegerNo-
warningCountintegerNo-
errorCountintegerNo-
lastProcessedChunkIndexintegerNonullable
summarystringNo-
errorReportarray<object>No-
startedAtintegerNounix-ms timestamp; nullable
completedAtintegerNounix-ms timestamp; nullable
createdAtintegerNounix-ms timestamp; nullable
updatedAtintegerNounix-ms timestamp; nullable

Nested Field Structures

errorReport item

FieldTypeRequiredConstraints
rowNumberintegerNo-
codestringNo-
statusstringNo-
messagestringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "serviceImportJobs",
  "apiName": "create",
  "data": {
    "organizationId": "org_123",
    "createdByStackUserId": "createdbystackuser_123",
    "status": "scheduled",
    "fileName": "value",
    "idempotencyKey": "value"
  }
}'

Example Response

{ "status": "ok", "data": {} }

delete

Source: backend/endpoints/service-import-jobs/delete

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "serviceImportJobs",
  "apiName": "delete",
  "data": {
    "id": "id_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

getById

Source: backend/endpoints/service-import-jobs/get-by-id

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "serviceImportJobs",
  "apiName": "getById",
  "data": {
    "id": "id_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listByOrganization

Source: backend/endpoints/service-import-jobs/list-by-organization

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "serviceImportJobs",
  "apiName": "listByOrganization",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

update

Source: backend/endpoints/service-import-jobs/update

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-
createdByStackUserIdstringNonullable
importScopestringNonullable
statusstringNonullable
fileNamestringNonullable
idempotencyKeystringNonullable
workflowIdstringNonullable
totalRowsintegerNonullable
processedRowsintegerNonullable
successCountintegerNonullable
warningCountintegerNonullable
errorCountintegerNonullable
lastProcessedChunkIndexintegerNonullable
summarystringNonullable
errorReportarray<object>Nonullable
startedAtintegerNounix-ms timestamp; nullable
completedAtintegerNounix-ms timestamp; nullable
createdAtintegerNounix-ms timestamp; nullable
updatedAtintegerNounix-ms timestamp; nullable

Nested Field Structures

errorReport item

FieldTypeRequiredConstraints
rowNumberintegerNo-
codestringNo-
statusstringNo-
messagestringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "serviceImportJobs",
  "apiName": "update",
  "data": {
    "id": "id_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }